ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-3.0/configure
(Generate patch)

Comparing trunk/OOPSE-3.0/configure (file contents):
Revision 1535 by gezelter, Wed Oct 6 21:22:43 2004 UTC vs.
Revision 1998 by tim, Fri Feb 11 22:37:36 2005 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI SPRNG_LIB_DIR SPRNG_INC_DIR SPRNG_LIB USE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI SPRNG_LIB_DIR SPRNG_INC_DIR SPRNG_LIB USE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 866 | Line 866 | Optional Features:
866    --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
867    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
868    --enable-debug          Compile OOPSE in debug mode
869 +  --enable-doxygen        enable documentation generation with doxygen (auto)
870 +  --enable-dot            use 'dot' to generate graphs in doxygen (auto)
871 +  --enable-html-docs      enable HTML generation with doxygen (yes)
872 +  --enable-latex-docs     enable LaTeX documentation generation with doxygen (no)
873    --enable-oopse-home=DIR      define oopse home dir PREFIX/oopse
874  
875   Optional Packages:
# Line 1820 | Line 1824 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1824   # Figure out how the Fortran 90 compiler constructs module file names
1825   #
1826   # AC_F90_MODULE_NAMES
1827 +
1828 +
1829  
1830  
1831  
# Line 1876 | Line 1882 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1882  
1883  
1884  
1885 +
1886   # set program name
1887   PROGNAME="oopse"
1888  
# Line 3535 | Line 3542 | F90FLAGS="$F90FLAGS $ac_verb"
3542   ac_save_F90FLAGS=$F90FLAGS
3543   F90FLAGS="$F90FLAGS $ac_verb"
3544  
3545 < (eval echo $as_me:3538: \"$ac_link\") >&5
3545 > (eval echo $as_me:3545: \"$ac_link\") >&5
3546   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3547   echo "$ac_f90_v_output" >&5
3548   F90FLAGS=$ac_save_F90FLAGS
# Line 3612 | Line 3619 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3619   ac_save_F90FLAGS=$F90FLAGS
3620   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3621  
3622 < (eval echo $as_me:3615: \"$ac_link\") >&5
3622 > (eval echo $as_me:3622: \"$ac_link\") >&5
3623   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3624   echo "$ac_f90_v_output" >&5
3625   F90FLAGS=$ac_save_F90FLAGS
# Line 4923 | Line 4930 | fi
4930   sed 's/^/| /' conftest.$ac_ext >&5
4931  
4932   eval "$as_ac_Header=no"
4933 + fi
4934 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4935 + fi
4936 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4937 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4938 + if test `eval echo '${'$as_ac_Header'}'` = yes; then
4939 +  cat >>confdefs.h <<_ACEOF
4940 + #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
4941 + _ACEOF
4942 +
4943 + fi
4944 +
4945 + done
4946 +
4947 +
4948 +
4949 +
4950 +
4951 +
4952 +
4953 +
4954 +
4955 +
4956 +
4957 + for ac_header in unistd.h sys/pstat.h sys/sysmp.h sys/sysinfo.h sys/table.h sys/param.h sys/sysctl.h sys/sytemcfg.h machine/hal_sysinfo.h
4958 + do
4959 + as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4960 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4961 +  echo "$as_me:$LINENO: checking for $ac_header" >&5
4962 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4963 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4964 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4965 + fi
4966 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4967 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4968 + else
4969 +  # Is the header compilable?
4970 + echo "$as_me:$LINENO: checking $ac_header usability" >&5
4971 + echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
4972 + cat >conftest.$ac_ext <<_ACEOF
4973 + /* confdefs.h.  */
4974 + _ACEOF
4975 + cat confdefs.h >>conftest.$ac_ext
4976 + cat >>conftest.$ac_ext <<_ACEOF
4977 + /* end confdefs.h.  */
4978 + $ac_includes_default
4979 + #include <$ac_header>
4980 + _ACEOF
4981 + rm -f conftest.$ac_objext
4982 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4983 +  (eval $ac_compile) 2>conftest.er1
4984 +  ac_status=$?
4985 +  grep -v '^ *+' conftest.er1 >conftest.err
4986 +  rm -f conftest.er1
4987 +  cat conftest.err >&5
4988 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4989 +  (exit $ac_status); } &&
4990 +         { ac_try='test -z "$ac_c_werror_flag"
4991 +                         || test ! -s conftest.err'
4992 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4993 +  (eval $ac_try) 2>&5
4994 +  ac_status=$?
4995 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4996 +  (exit $ac_status); }; } &&
4997 +         { ac_try='test -s conftest.$ac_objext'
4998 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4999 +  (eval $ac_try) 2>&5
5000 +  ac_status=$?
5001 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5002 +  (exit $ac_status); }; }; then
5003 +  ac_header_compiler=yes
5004 + else
5005 +  echo "$as_me: failed program was:" >&5
5006 + sed 's/^/| /' conftest.$ac_ext >&5
5007 +
5008 + ac_header_compiler=no
5009   fi
5010   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5011 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
5012 + echo "${ECHO_T}$ac_header_compiler" >&6
5013 +
5014 + # Is the header present?
5015 + echo "$as_me:$LINENO: checking $ac_header presence" >&5
5016 + echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
5017 + cat >conftest.$ac_ext <<_ACEOF
5018 + /* confdefs.h.  */
5019 + _ACEOF
5020 + cat confdefs.h >>conftest.$ac_ext
5021 + cat >>conftest.$ac_ext <<_ACEOF
5022 + /* end confdefs.h.  */
5023 + #include <$ac_header>
5024 + _ACEOF
5025 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5026 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5027 +  ac_status=$?
5028 +  grep -v '^ *+' conftest.er1 >conftest.err
5029 +  rm -f conftest.er1
5030 +  cat conftest.err >&5
5031 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5032 +  (exit $ac_status); } >/dev/null; then
5033 +  if test -s conftest.err; then
5034 +    ac_cpp_err=$ac_c_preproc_warn_flag
5035 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
5036 +  else
5037 +    ac_cpp_err=
5038 +  fi
5039 + else
5040 +  ac_cpp_err=yes
5041 + fi
5042 + if test -z "$ac_cpp_err"; then
5043 +  ac_header_preproc=yes
5044 + else
5045 +  echo "$as_me: failed program was:" >&5
5046 + sed 's/^/| /' conftest.$ac_ext >&5
5047 +
5048 +  ac_header_preproc=no
5049 + fi
5050 + rm -f conftest.err conftest.$ac_ext
5051 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
5052 + echo "${ECHO_T}$ac_header_preproc" >&6
5053 +
5054 + # So?  What about this header?
5055 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
5056 +  yes:no: )
5057 +    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
5058 + echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
5059 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
5060 + echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
5061 +    ac_header_preproc=yes
5062 +    ;;
5063 +  no:yes:* )
5064 +    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
5065 + echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
5066 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
5067 + echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
5068 +    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
5069 + echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
5070 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
5071 + echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
5072 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
5073 + echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
5074 +    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
5075 + echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
5076 +    (
5077 +      cat <<\_ASBOX
5078 + ## ------------------------------ ##
5079 + ## Report this to gezelter@nd.edu ##
5080 + ## ------------------------------ ##
5081 + _ASBOX
5082 +    ) |
5083 +      sed "s/^/$as_me: WARNING:     /" >&2
5084 +    ;;
5085 + esac
5086 + echo "$as_me:$LINENO: checking for $ac_header" >&5
5087 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
5088 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
5089 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5090 + else
5091 +  eval "$as_ac_Header=\$ac_header_preproc"
5092   fi
5093   echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
5094   echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5095 +
5096 + fi
5097   if test `eval echo '${'$as_ac_Header'}'` = yes; then
5098    cat >>confdefs.h <<_ACEOF
5099   #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
# Line 4936 | Line 5102 | done
5102   fi
5103  
5104   done
5105 +
5106 +
5107 +
5108 +
5109 +
5110 +
5111 + for ac_func in pstat_getstatic sysmp getsysinfo sysctl table
5112 + do
5113 + as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5114 + echo "$as_me:$LINENO: checking for $ac_func" >&5
5115 + echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
5116 + if eval "test \"\${$as_ac_var+set}\" = set"; then
5117 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5118 + else
5119 +  cat >conftest.$ac_ext <<_ACEOF
5120 + /* confdefs.h.  */
5121 + _ACEOF
5122 + cat confdefs.h >>conftest.$ac_ext
5123 + cat >>conftest.$ac_ext <<_ACEOF
5124 + /* end confdefs.h.  */
5125 + /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
5126 +   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
5127 + #define $ac_func innocuous_$ac_func
5128 +
5129 + /* System header to define __stub macros and hopefully few prototypes,
5130 +    which can conflict with char $ac_func (); below.
5131 +    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5132 +    <limits.h> exists even on freestanding compilers.  */
5133 +
5134 + #ifdef __STDC__
5135 + # include <limits.h>
5136 + #else
5137 + # include <assert.h>
5138 + #endif
5139 +
5140 + #undef $ac_func
5141 +
5142 + /* Override any gcc2 internal prototype to avoid an error.  */
5143 + #ifdef __cplusplus
5144 + extern "C"
5145 + {
5146 + #endif
5147 + /* We use char because int might match the return type of a gcc2
5148 +   builtin and then its argument prototype would still apply.  */
5149 + char $ac_func ();
5150 + /* The GNU C library defines this for functions which it implements
5151 +    to always fail with ENOSYS.  Some functions are actually named
5152 +    something starting with __ and the normal name is an alias.  */
5153 + #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
5154 + choke me
5155 + #else
5156 + char (*f) () = $ac_func;
5157 + #endif
5158 + #ifdef __cplusplus
5159 + }
5160 + #endif
5161 +
5162 + int
5163 + main ()
5164 + {
5165 + return f != $ac_func;
5166 +  ;
5167 +  return 0;
5168 + }
5169 + _ACEOF
5170 + rm -f conftest.$ac_objext conftest$ac_exeext
5171 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5172 +  (eval $ac_link) 2>conftest.er1
5173 +  ac_status=$?
5174 +  grep -v '^ *+' conftest.er1 >conftest.err
5175 +  rm -f conftest.er1
5176 +  cat conftest.err >&5
5177 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5178 +  (exit $ac_status); } &&
5179 +         { ac_try='test -z "$ac_c_werror_flag"
5180 +                         || test ! -s conftest.err'
5181 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5182 +  (eval $ac_try) 2>&5
5183 +  ac_status=$?
5184 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5185 +  (exit $ac_status); }; } &&
5186 +         { ac_try='test -s conftest$ac_exeext'
5187 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5188 +  (eval $ac_try) 2>&5
5189 +  ac_status=$?
5190 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5191 +  (exit $ac_status); }; }; then
5192 +  eval "$as_ac_var=yes"
5193 + else
5194 +  echo "$as_me: failed program was:" >&5
5195 + sed 's/^/| /' conftest.$ac_ext >&5
5196 +
5197 + eval "$as_ac_var=no"
5198 + fi
5199 + rm -f conftest.err conftest.$ac_objext \
5200 +      conftest$ac_exeext conftest.$ac_ext
5201 + fi
5202 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
5203 + echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
5204 + if test `eval echo '${'$as_ac_var'}'` = yes; then
5205 +  cat >>confdefs.h <<_ACEOF
5206 + #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
5207 + _ACEOF
5208 +
5209 + fi
5210 + done
5211 +
5212 + # special check for _system_configuration because AIX <4.3.2 do not
5213 + # contain the `physmem' member.
5214 + echo "$as_me:$LINENO: checking for external symbol _system_configuration" >&5
5215 + echo $ECHO_N "checking for external symbol _system_configuration... $ECHO_C" >&6
5216 + cat >conftest.$ac_ext <<_ACEOF
5217 + /* confdefs.h.  */
5218 + _ACEOF
5219 + cat confdefs.h >>conftest.$ac_ext
5220 + cat >>conftest.$ac_ext <<_ACEOF
5221 + /* end confdefs.h.  */
5222 + #include <sys/systemcfg.h>
5223 + int
5224 + main ()
5225 + {
5226 + double x = _system_configuration.physmem;
5227 +  ;
5228 +  return 0;
5229 + }
5230 + _ACEOF
5231 + rm -f conftest.$ac_objext
5232 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5233 +  (eval $ac_compile) 2>conftest.er1
5234 +  ac_status=$?
5235 +  grep -v '^ *+' conftest.er1 >conftest.err
5236 +  rm -f conftest.er1
5237 +  cat conftest.err >&5
5238 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5239 +  (exit $ac_status); } &&
5240 +         { ac_try='test -z "$ac_c_werror_flag"
5241 +                         || test ! -s conftest.err'
5242 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5243 +  (eval $ac_try) 2>&5
5244 +  ac_status=$?
5245 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5246 +  (exit $ac_status); }; } &&
5247 +         { ac_try='test -s conftest.$ac_objext'
5248 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5249 +  (eval $ac_try) 2>&5
5250 +  ac_status=$?
5251 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5252 +  (exit $ac_status); }; }; then
5253 +  echo "$as_me:$LINENO: result: yes" >&5
5254 + echo "${ECHO_T}yes" >&6
5255  
5256 + cat >>confdefs.h <<\_ACEOF
5257 + #define HAVE__SYSTEM_CONFIGURATION 1
5258 + _ACEOF
5259  
5260 + else
5261 +  echo "$as_me: failed program was:" >&5
5262 + sed 's/^/| /' conftest.$ac_ext >&5
5263 +
5264 + echo "$as_me:$LINENO: result: no" >&5
5265 + echo "${ECHO_T}no" >&6
5266 + fi
5267 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5268 +
5269 +
5270 +
5271 +
5272    # clean out junk possibly left behind by a previous configuration
5273 <  rm -f utils/getopt.h
5273 >  rm -f src/getopt.h
5274    # Check for getopt_long support
5275  
5276   for ac_header in getopt.h
# Line 5279 | Line 5610 | esac
5610    *) LIBOBJS="$LIBOBJS getopt1.$ac_objext" ;;
5611   esac
5612  
5613 <                ac_config_links="$ac_config_links utils/getopt.h:utils/gnugetopt.h"
5613 >                ac_config_links="$ac_config_links src/getopt.h:src/utils/gnugetopt.h"
5614  
5615   fi
5616  
# Line 5373 | Line 5704 | if test "$ac_test_CFLAGS" != "set"; then
5704          fi;;
5705     *darwin*)
5706          if test "$CC" = xlc -o "$CC" = cc; then
5707 <                CFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
5707 >                CFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
5708          fi;;
5709    esac
5710  
# Line 5825 | Line 6156 | if test "$ac_test_CXXFLAGS" != "set"; then
6156          fi;;
6157     *darwin*)
6158          if test "$CXX" = xlc++; then
6159 <                CXXFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
6159 >                CXXFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
6160          fi;;
6161    esac
6162  
# Line 6237 | Line 6568 | if test x"$F90FLAGS" = x ; then
6568          fi;;
6569     *darwin*)
6570          if test "$F90" = f90 -o "$F90" = xlf90 -o "$F90" = xlf95; then
6571 <                F90FLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto"
6571 >                F90FLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto"
6572          fi;;
6573    esac
6574  
# Line 7228 | Line 7559 | fi
7559   fi
7560  
7561   fi
7562 + $as_unset ac_cv_lib_mpich_MPI_Init
7563 + if test x = x"$MPI_LIB"; then
7564 +        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
7565 + echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
7566 + if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
7567 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7568 + else
7569 +  ac_check_lib_save_LIBS=$LIBS
7570 + LIBS="-lmpich "-lpmpich" $LIBS"
7571 + cat >conftest.$ac_ext <<_ACEOF
7572 + /* confdefs.h.  */
7573 + _ACEOF
7574 + cat confdefs.h >>conftest.$ac_ext
7575 + cat >>conftest.$ac_ext <<_ACEOF
7576 + /* end confdefs.h.  */
7577 +
7578 + /* Override any gcc2 internal prototype to avoid an error.  */
7579 + #ifdef __cplusplus
7580 + extern "C"
7581 + #endif
7582 + /* We use char because int might match the return type of a gcc2
7583 +   builtin and then its argument prototype would still apply.  */
7584 + char MPI_Init ();
7585 + int
7586 + main ()
7587 + {
7588 + MPI_Init ();
7589 +  ;
7590 +  return 0;
7591 + }
7592 + _ACEOF
7593 + rm -f conftest.$ac_objext conftest$ac_exeext
7594 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7595 +  (eval $ac_link) 2>conftest.er1
7596 +  ac_status=$?
7597 +  grep -v '^ *+' conftest.er1 >conftest.err
7598 +  rm -f conftest.er1
7599 +  cat conftest.err >&5
7600 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7601 +  (exit $ac_status); } &&
7602 +         { ac_try='test -z "$ac_c_werror_flag"
7603 +                         || test ! -s conftest.err'
7604 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7605 +  (eval $ac_try) 2>&5
7606 +  ac_status=$?
7607 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7608 +  (exit $ac_status); }; } &&
7609 +         { ac_try='test -s conftest$ac_exeext'
7610 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7611 +  (eval $ac_try) 2>&5
7612 +  ac_status=$?
7613 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7614 +  (exit $ac_status); }; }; then
7615 +  ac_cv_lib_mpich_MPI_Init=yes
7616 + else
7617 +  echo "$as_me: failed program was:" >&5
7618 + sed 's/^/| /' conftest.$ac_ext >&5
7619 +
7620 + ac_cv_lib_mpich_MPI_Init=no
7621 + fi
7622 + rm -f conftest.err conftest.$ac_objext \
7623 +      conftest$ac_exeext conftest.$ac_ext
7624 + LIBS=$ac_check_lib_save_LIBS
7625 + fi
7626 + echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
7627 + echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
7628 + if test $ac_cv_lib_mpich_MPI_Init = yes; then
7629 +  MPI_LIB="-lmpich -lpmpich"
7630 + fi
7631 +
7632 + fi
7633  
7634   $as_unset ac_cv_lib_mpi_MPI_Init
7635   if test x = x"$MPI_LIB"; then
# Line 7749 | Line 8151 | fi;
8151  
8152  
8153  
8154 + # Check whether --enable-doxygen or --disable-doxygen was given.
8155 + if test "${enable_doxygen+set}" = set; then
8156 +  enableval="$enable_doxygen"
8157  
8158 + fi;
8159 + # Check whether --enable-dot or --disable-dot was given.
8160 + if test "${enable_dot+set}" = set; then
8161 +  enableval="$enable_dot"
8162  
8163 + fi;
8164 + # Check whether --enable-html-docs or --disable-html-docs was given.
8165 + if test "${enable_html_docs+set}" = set; then
8166 +  enableval="$enable_html_docs"
8167 +
8168 + else
8169 +   enable_html_docs=yes
8170 + fi;
8171 + # Check whether --enable-latex-docs or --disable-latex-docs was given.
8172 + if test "${enable_latex_docs+set}" = set; then
8173 +  enableval="$enable_latex_docs"
8174 +
8175 + else
8176 +   enable_latex_docs=no
8177 + fi;
8178 + if test "x$enable_doxygen" = xno; then
8179 +        enable_doc=no
8180 + else
8181 +        # Extract the first word of "doxygen", so it can be a program name with args.
8182 + set dummy doxygen; ac_word=$2
8183 + echo "$as_me:$LINENO: checking for $ac_word" >&5
8184 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
8185 + if test "${ac_cv_path_DOXYGEN+set}" = set; then
8186 +  echo $ECHO_N "(cached) $ECHO_C" >&6
8187 + else
8188 +  case $DOXYGEN in
8189 +  [\\/]* | ?:[\\/]*)
8190 +  ac_cv_path_DOXYGEN="$DOXYGEN" # Let the user override the test with a path.
8191 +  ;;
8192 +  *)
8193 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
8194 + for as_dir in $PATH
8195 + do
8196 +  IFS=$as_save_IFS
8197 +  test -z "$as_dir" && as_dir=.
8198 +  for ac_exec_ext in '' $ac_executable_extensions; do
8199 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
8200 +    ac_cv_path_DOXYGEN="$as_dir/$ac_word$ac_exec_ext"
8201 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
8202 +    break 2
8203 +  fi
8204 + done
8205 + done
8206 +
8207 +  ;;
8208 + esac
8209 + fi
8210 + DOXYGEN=$ac_cv_path_DOXYGEN
8211 +
8212 + if test -n "$DOXYGEN"; then
8213 +  echo "$as_me:$LINENO: result: $DOXYGEN" >&5
8214 + echo "${ECHO_T}$DOXYGEN" >&6
8215 + else
8216 +  echo "$as_me:$LINENO: result: no" >&5
8217 + echo "${ECHO_T}no" >&6
8218 + fi
8219 +
8220 +        if test "x$DOXYGEN" = x; then
8221 +                if test "x$enable_doxygen" = xyes; then
8222 +                        { { echo "$as_me:$LINENO: error: could not find doxygen" >&5
8223 + echo "$as_me: error: could not find doxygen" >&2;}
8224 +   { (exit 1); exit 1; }; }
8225 +                fi
8226 +                enable_doc=no
8227 +        else
8228 +                enable_doc=yes
8229 +                # Extract the first word of "dot", so it can be a program name with args.
8230 + set dummy dot; ac_word=$2
8231 + echo "$as_me:$LINENO: checking for $ac_word" >&5
8232 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
8233 + if test "${ac_cv_path_DOT+set}" = set; then
8234 +  echo $ECHO_N "(cached) $ECHO_C" >&6
8235 + else
8236 +  case $DOT in
8237 +  [\\/]* | ?:[\\/]*)
8238 +  ac_cv_path_DOT="$DOT" # Let the user override the test with a path.
8239 +  ;;
8240 +  *)
8241 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
8242 + for as_dir in $PATH
8243 + do
8244 +  IFS=$as_save_IFS
8245 +  test -z "$as_dir" && as_dir=.
8246 +  for ac_exec_ext in '' $ac_executable_extensions; do
8247 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
8248 +    ac_cv_path_DOT="$as_dir/$ac_word$ac_exec_ext"
8249 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
8250 +    break 2
8251 +  fi
8252 + done
8253 + done
8254 +
8255 +  ;;
8256 + esac
8257 + fi
8258 + DOT=$ac_cv_path_DOT
8259 +
8260 + if test -n "$DOT"; then
8261 +  echo "$as_me:$LINENO: result: $DOT" >&5
8262 + echo "${ECHO_T}$DOT" >&6
8263 + else
8264 +  echo "$as_me:$LINENO: result: no" >&5
8265 + echo "${ECHO_T}no" >&6
8266 + fi
8267 +
8268 +        fi
8269 + fi
8270 +
8271 + if test "x$enable_doc" = xyes; then
8272 +  DOC=1
8273 + else
8274 +  DOC=0
8275 + fi
8276 +
8277 +
8278 + if test x$DOT = x; then
8279 +        if test "x$enable_dot" = xyes; then
8280 +                { { echo "$as_me:$LINENO: error: could not find dot" >&5
8281 + echo "$as_me: error: could not find dot" >&2;}
8282 +   { (exit 1); exit 1; }; }
8283 +        fi
8284 +        enable_dot=no
8285 + else
8286 +        enable_dot=yes
8287 + fi
8288 +
8289 +
8290 +
8291 +
8292 +
8293 +
8294 +
8295   OBJEXT=".$OBJEXT"
8296  
8297   OOPSE=oopse
# Line 7810 | Line 8351 | esac
8351  
8352            ac_config_headers="$ac_config_headers src/config.h"
8353  
8354 <          ac_config_files="$ac_config_files make/Makefile"
8354 >                    ac_config_files="$ac_config_files make/Makefile src/utils/Makefile"
8355  
8356  
8357   cat >confcache <<\_ACEOF
# Line 8342 | Line 8883 | do
8883    case "$ac_config_target" in
8884    # Handling of arguments.
8885    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
8886 <  "utils/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS utils/getopt.h:utils/gnugetopt.h" ;;
8886 >  "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
8887 >  "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
8888    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
8889    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
8890   echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
# Line 8493 | Line 9035 | s,@BATEXT@,$BATEXT,;t t
9035   s,@MKL_LIB@,$MKL_LIB,;t t
9036   s,@MKL_INC@,$MKL_INC,;t t
9037   s,@HAVE_MKL@,$HAVE_MKL,;t t
9038 + s,@DOXYGEN@,$DOXYGEN,;t t
9039 + s,@DOT@,$DOT,;t t
9040 + s,@DOC@,$DOC,;t t
9041 + s,@enable_dot@,$enable_dot,;t t
9042 + s,@enable_html_docs@,$enable_html_docs,;t t
9043 + s,@enable_latex_docs@,$enable_latex_docs,;t t
9044   s,@BATEXT@,$BATEXT,;t t
9045   s,@MKINSTALLDIRS@,$MKINSTALLDIRS,;t t
9046   s,@OOPSE@,$OOPSE,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines